/*******************************************************************************
 * Copyright (c) 2021 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * https://www.eclipse.org/legal/epl-2.0/.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   See git history
 *******************************************************************************/

package org.eclipse.birt.report.engine.layout.pdf.util;

public interface HTMLConstants {

	// html tag
	String TAG_I = "i";
	String TAG_FONT = "font";
	String TAG_B = "b";
	String TAG_A = "a";
	String TAG_CODE = "code";
	String TAG_EM = "em";
	String TAG_OBJECT = "object";
	String TAG_IMG = "img";
	String TAG_INS = "ins";
	String TAG_SPAN = "span";
	String TAG_STRONG = "strong";
	String TAG_SUB = "sub";
	String TAG_SUP = "sup";
	String TAG_TT = "tt";
	String TAG_U = "u";
	String TAG_DEL = "del";
	String TAG_STRIKE = "strike";
	String TAG_S = "s";
	String TAG_BIG = "big";
	String TAG_SMALL = "small";

	String TAG_DD = "dd"; //$NON-NLS-1$
	String TAG_DIV = "div"; //$NON-NLS-1$
	String TAG_DL = "dl"; //$NON-NLS-1$
	String TAG_DT = "dt"; //$NON-NLS-1$
	String TAG_H1 = "h1"; //$NON-NLS-1$
	String TAG_H2 = "h2"; //$NON-NLS-1$
	String TAG_H3 = "h3"; //$NON-NLS-1$
	String TAG_H4 = "h4"; //$NON-NLS-1$
	String TAG_H5 = "h5"; //$NON-NLS-1$
	String TAG_H6 = "h6"; //$NON-NLS-1$
	String TAG_HR = "hr"; //$NON-NLS-1$
	String TAG_OL = "ol"; //$NON-NLS-1$
	String TAG_P = "p"; //$NON-NLS-1$
	String TAG_PRE = "pre"; //$NON-NLS-1$
	String TAG_UL = "ul"; //$NON-NLS-1$
	String TAG_LI = "li"; //$NON-NLS-1$
	String TAG_ADDRESS = "address"; //$NON-NLS-1$
	String TAG_BODY = "body"; //$NON-NLS-1$
	String TAG_CENTER = "center"; //$NON-NLS-1$
	String TAG_TABLE = "table"; //$NON-NLS-1$
	String TAG_TD = "td"; //$NON-NLS-1$
	String TAG_TR = "tr"; //$NON-NLS-1$
	String TAG_TH = "th"; //$NON-NLS-1$
	String TAG_COL = "col"; //$NON-NLS-1$

	String TAG_BR = "br";//$NON-NLS-1$
	String TAG_VALUEOF = "value-of";//$NON-NLS-1$
	String TAG_IMAGE = "image";//$NON-NLS-1$
	String TAG_SCRIPT = "script";//$NON-NLS-1$

	String PROPERTY_COLOR = "color";//$NON-NLS-1$
	String PROPERTY_FACE = "face";//$NON-NLS-1$
	String PROPERTY_SIZE = "size";//$NON-NLS-1$
	String PROPERTY_ALIGN = "align";//$NON-NLS-1$
	String PROPERTY_BORDER = "border";//$NON-NLS-1$
	String PROPERTY_WIDTH = "width";//$NON-NLS-1$
	String PROPERTY_HEIGHT = "height";//$NON-NLS-1$
	String PROPERTY_ALT = "alt";//$NON-NLS-1$
	String PROPERTY_SRC = "src";//$NON-NLS-1$
	String PROPERTY_BGCOLOR = "bgcolor";//$NON-NLS-1$
	String PROPERTY_BACKGROUND = "background";//$NON-NLS-1$
	String PROPERTY_TEXT = "text";//$NON-NLS-1$
	String PROPERTY_ROWSPAN = "rowspan";//$NON-NLS-1$
	String PROPERTY_CELLPADDING = "cellpadding";//$NON-NLS-1$
	String PROPERTY_COLSPAN = "colspan";//$NON-NLS-1$
	String PROPERTY_VALIGN = "valign";//$NON-NLS-1$
	String PROPERTY_ID = "id";//$NON-NLS-1$
	String PROPERTY_NAME = "name";//$NON-NLS-1$
	String PROPERTY_HREF = "href";//$NON-NLS-1$
	String PROPERTY_TARGET = "target";//$NON-NLS-1$
	String PROPERTY_CLASSID = "classid";//$NON-NLS-1$
	String PROPERTY_PARAM = "param";//$NON-NLS-1$
	String PROPERTY_VALUE = "value";//$NON-NLS-1$
}
